package com.rongwei.bsserver.controller;


import com.rongwei.bscommon.sys.service.ApsProductDetailService;
import com.rongwei.rwcommon.base.R;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 生产订单-产品明细 前端控制器
 * </p>
 *
 * @author sc
 * @since 2024-03-28
 */
@Slf4j
@RestController
@RequestMapping("/apsProductDetail")
public class ApsProductDetailController {
    @Autowired
    private ApsProductDetailService apsProductDetailService;

    /*
    获取客户订单
     */
    @PostMapping("/getCustomOrderData")
    public R getCustomOrderData(@RequestBody Map<String, Object> params) {
        try {
            log.info("获取客户订单;参数为：{}", params);
            return apsProductDetailService.getCustomOrderData(params);
        } catch (Exception e) {
            e.printStackTrace();
            return R.error("获取客户订单系统订单失败，请联系管理员");
        }
    }

    /*
    更新客户订单
     */
    @PostMapping("/updateCustomOrder")
    public R updateCustomOrder(@RequestBody List<String> orderNos){
        try {
            log.info("更新客户订单;参数为：{}", orderNos);
            return apsProductDetailService.updateCustomOrder(orderNos);
        } catch (Exception e) {
            e.printStackTrace();
            return R.error("获取客户订单系统订单失败，请联系管理员");
        }
    }

    /*
    更新合并客户订单
     */
    @PostMapping("/updateMergeCustomOrder")
    public R updateMergeCustomOrder(@RequestBody List<String> orderNos){
        try {
            log.info("更新客户订单;参数为：{}", orderNos);
            return apsProductDetailService.updateMergeCustomOrder(orderNos);
        } catch (Exception e) {
            e.printStackTrace();
            return R.error("获取客户订单系统订单失败，请联系管理员");
        }
    }
}

